Index: /trunk/Poubelle/archediab.old/archediab.sources/c/FindPeri.c
===================================================================
--- /trunk/Poubelle/archediab.old/archediab.sources/c/FindPeri.c	(revision 649)
+++ /trunk/Poubelle/archediab.old/archediab.sources/c/FindPeri.c	(revision 649)
@@ -0,0 +1,97 @@
+#include "manip.h" 
+#include "FindPeri.h" 
+#include "recons_sst.h" 
+static float Liminffene=10.,Limsupfene=40.;
+double memocoupflux;
+float pasx;
+
+
+
+//nouveauD(0,FindPeri_id,"FindPeri",exec_FindPeri);
+
+
+//--------------------  fonction  exec  de  la  fenetre : FindPeri  -------------------------------
+
+
+void exec_FindPeri(int fen,int item,double valeur,...) 
+{
+if(item>1000) item-=1000;		// pour appeler le case pour tous les cara d'un edit texte
+
+switch(item)
+    {
+    case ouverture               :
+        				selectgra(fen);
+    graph->ymin=0.;
+    graph->ymax=500.;
+    graph->ypas=100;
+    graph->xmin=Liminffene;
+    graph->xmax=Limsupfene; 
+//    printf("limites a l'ouverture %f %f \n",Liminffene,Limsupfene);
+	pasx=10.;
+	if(Liminffene!=10.)pasx=1.;
+    graph->xpas=pasx;
+    graph->grille=0;
+    graph->graduations=1;
+    graph->taille_graduations=10;
+    graph->sans_image=0;      	
+    graph->avec_icones=0;      	
+    strcpy(graph->xtitre, "delta temps");    	
+    strcpy(graph->ytitre, "flux");
+    efface(fen);
+    retrace(fen);   	
+  ecritD(fen,FP_unite6,"%d",CpFl()); //corFC
+  ecritD(fen,FP_vperesti," %7.3f ",DonnePeriod());//corFC
+//    graph->ytitre[0]=0;   
+
+//    				setup_gra(fen);
+
+                 break;
+    case fermeture               :
+    memocoupflux=Rd_CpFl(fen);
+//    Liminffene=graph->xmin;
+//    Limsupfene=graph->xmax; 
+//    printf("limites a la fermeture %f %f \n",Liminffene,Limsupfene);
+
+                 break;
+    case FP_cpfl :
+               break;
+    case FP_vcpfl :
+      init_recons_sst();
+    efface(fen);
+                 break;
+    case FP_periodest :
+                 break;
+    case FP_vperesti :
+                 break;
+    case FP_unite :
+                 break;
+    case FP_unite6 :
+                 break;
+    default  :   break;
+    }
+}
+
+
+void passargu(float Liminff,float Limsupf,float Papa)
+{
+Liminffene=Liminff;
+Limsupfene=Limsupf;
+pasx=Papa;
+}
+
+double Rd_CpFl(int fen)
+{
+double argfen;
+if(fen)
+{
+ argfen=litD(fen,FP_unite6,0L);
+ if(argfen<1)argfen=1;
+ if(argfen>2047)argfen=2047;
+ ecritD(fen,FP_unite6,"%d",(int)(argfen));
+ memocoupflux=argfen;
+ }else
+ {
+ argfen=memocoupflux;
+ }
+  return argfen;
+}
Index: /trunk/Poubelle/archediab.old/archediab.sources/c/aa_hadec.c
===================================================================
--- /trunk/Poubelle/archediab.old/archediab.sources/c/aa_hadec.c	(revision 649)
+++ /trunk/Poubelle/archediab.old/archediab.sources/c/aa_hadec.c	(revision 649)
@@ -0,0 +1,81 @@
+#include <stdio.h>
+#include <math.h>
+#include "aa_hadec.h"
+#define GOODATAN2
+#define PI M_PI
+
+static void aaha_aux (double lat, double x, double y, double* p, double* q);
+
+
+/* given latitude (n+, radians), lat, altitude (up+, radians), alt, and
+ * azimuth (angle round to the east from north+, radians),
+ * return hour angle (radians), ha, and declination (radians), dec.
+ */
+void aa_hadec (double lat, double alt, double az, double* ha, double* dec)
+{
+	aaha_aux (lat, az, alt, ha, dec);
+}
+
+/* given latitude (n+, radians), lat, hour angle (radians), ha, and declination
+ * (radians), dec,
+ * return altitude (up+, radians), alt, and
+ * azimuth (angle round to the east from north+, radians),
+ */
+void hadec_aa (double lat, double ha, double dec, double* alt, double* az)
+{
+	aaha_aux (lat, ha, dec, az, alt);
+}
+
+/* the actual formula is the same for both transformation directions so
+ * do it here once for each way.
+ * N.B. all arguments are in radians.
+ */
+static void
+aaha_aux (double lat, double x, double y, double* p, double* q)
+{
+	static double lastlat = -1000.;
+	static double sinlastlat, coslastlat;
+	double sy, cy;
+	double sx, cx;
+#ifndef GOODATAN2
+	double sq, cq;
+	double a;
+	double cp;
+#endif
+
+	/* latitude doesn't change much, so try to reuse the sin and cos evals.
+	 */
+	if (lat != lastlat) {
+	    sinlastlat = sin (lat);
+	    coslastlat = cos (lat);
+	    lastlat = lat;
+	}
+
+	sy = sin (y);
+	cy = cos (y);
+	sx = sin (x);
+	cx = cos (x);
+
+/* define GOODATAN2 if atan2 returns full range -PI through +PI.
+ */
+#ifdef GOODATAN2
+	*q = asin ((sy*sinlastlat) + (cy*coslastlat*cx));
+	*p = atan2 (-cy*sx, -cy*cx*sinlastlat + sy*coslastlat);
+#else
+#define	EPS	(1e-20)
+	sq = (sy*sinlastlat) + (cy*coslastlat*cx);
+	*q = asin (sq);
+	cq = cos (*q);
+	a = coslastlat*cq;
+	if (a > -EPS && a < EPS)
+	    a = a < 0 ? -EPS : EPS; /* avoid / 0 */
+	cp = (sy - (sinlastlat*sq))/a;
+	if (cp >= 1.0)	/* the /a can be slightly > 1 */
+	    *p = 0.0;
+	else if (cp <= -1.0)
+	    *p = PI;
+	else
+	    *p = acos ((sy - (sinlastlat*sq))/a);
+	if (sx>0) *p = 2.0*PI - *p;
+#endif
+}
Index: /trunk/Poubelle/archediab.old/archediab.sources/c/acqui_util.c
===================================================================
--- /trunk/Poubelle/archediab.old/archediab.sources/c/acqui_util.c	(revision 648)
+++ /trunk/Poubelle/archediab.old/archediab.sources/c/acqui_util.c	(revision 649)
@@ -189,17 +189,17 @@
 void	reset_epld(void)
 {
+char mot_tc[10];	
 printf("reset epld");
-/*
-if(gg->flag_tc_reduite)
-	{
-	int i;
-	for(i=0;i<15;i++)	emission_tc_reduite(tc2_reset_epld,i,0);
-	}
-else
-*/
-	{
-	char mot_tc[10];	
-	emission_telecommande(tc_dir_reset_epld,mot_tc);
-	}
+emission_tc_reduite(tc2_reset,tc3_reset,tc4_reset);
+emission_telecommande(tc_dir_reset_epld,mot_tc);
+
+}
+
+void	reset_trp(void)
+{
+char mot_tc[10];	
+printf("reset trp");
+emission_tc_reduite(tc2_reset,tc3_reset,tc4_reset);
+emission_telecommande(tc_dir_reset_trp,mot_tc);
 }
 
Index: /trunk/Poubelle/archediab.old/archediab.sources/c/acquisition_archeops.c
===================================================================
--- /trunk/Poubelle/archediab.old/archediab.sources/c/acquisition_archeops.c	(revision 648)
+++ /trunk/Poubelle/archediab.old/archediab.sources/c/acquisition_archeops.c	(revision 649)
@@ -42,4 +42,7 @@
 					// de la lecture du block bolo
 
+block_type_gyro	blk_gyro2;	// block memoire pour les gyros qui seront traitées lors
+							// de la lecture du block bolo
+
 
 
@@ -48,15 +51,33 @@
 void lit_block_archeops(int err)
 {
-if(verifie_block_printf(blk_tm))	return;
-
-	{
-	def_nom_block
-	static int mon_num_block;
+static char ss[1000];
+def_nom_block
+static int mon_num_block;
+
+if(!fenetre(fenetre_lecture_blocks)) nouveauT(fenetre_lecture_blocks,0,"lecture blocs");
+
+if(verifie_block_printf(blk_tm))	
+		{
+		if((mon_num_block+1)==numero_block(blk_tm))
+			{
+			mon_num_block=numero_block(blk_tm);
+			if(!fenetre(fenetre_lecture_blocks)) nouveauT(fenetre_lecture_blocks,0,"lecture blocs");
+			ecritT(fenetre_lecture_blocks,fin_f,"%s\n",ss);
+			sprintf(ss,"%d ->",mon_num_block);
+			}
+		if(strlen(ss)<500) sprintf(ss+strlen(ss)," **%s ",nom_block[type_block(blk_tm)]);	
+		ecrit_fichier_ARCH(blk_tm);	// ecrit les fichiers en erreur sur le disque     
+		return;
+		}
+
+	{
 	if(mon_num_block!=numero_block(blk_tm))
 		{
 		mon_num_block=numero_block(blk_tm);
-		printf("\n%d ->",mon_num_block);
-		}
-	printf(" %s  ",nom_block[type_block(blk_tm)]);	
+		if(!fenetre(fenetre_lecture_blocks)) nouveauT(fenetre_lecture_blocks,0,"lecture blocs");
+		ecritT(fenetre_lecture_blocks,fin_f,"%s\n",ss);
+		sprintf(ss,"%d ->",mon_num_block);
+		}
+	if(strlen(ss)<500) sprintf(ss+strlen(ss)," %s  ",nom_block[type_block(blk_tm)]);	
 	}				
 
@@ -78,6 +99,8 @@
 	case block_bolo_comprime :	traite_block_bolo_comprime((block_type_bolo_comprime*)blk_tm);	break;	
 	
-	case block_sst :		traite_block_sst((block_type_sst*)blk_tm);			break;
-	case block_sst_comprime  :	traite_block_sst_comprime((block_type_sst_comprime*)blk_tm);	break;
+	case block_sst :		traite_block_sst((block_type_sst*)blk_tm);			
+					traite_block_sst_brut((block_type_sst*)blk_tm);			break;
+	case block_sst_comprime  :	traite_block_sst_comprime((block_type_sst_comprime*)blk_tm);
+					traite_block_sst_comprime_brut((block_type_sst_comprime*)blk_tm);break;
 
 	case block_gyro :		traite_block_gyro((block_type_gyro*)blk_tm);			break;
@@ -86,5 +109,5 @@
 	case block_synchro_sol :	traite_block_synchro_sol((block_type_synchro_sol*)blk_tm);	break;
 	
-	case block_status_flash :	printf("******************status flash recut  ********************* \n");son(133);			break;
+	case block_status_flash :	printf("****  status flash recut  ****   nblock=%x  - %d *** \n",((block_type_status_flash*)blk_tm)->status.nb_total_blocks,((block_type_status_flash*)blk_tm)->status.nb_total_blocks/256);break;
 	
 #ifdef	transmet_data_brute
@@ -115,4 +138,6 @@
 void	traite_block_journal(block_type_journal*	blk)
 {
+long mothexa[5];	/* les 5 mots hexa de la telecommande  */
+
 int i,code,blocknum;
 if(!fenetre(fenetre_journal)) nouveauT(fenetre_journal,0,"journal");
@@ -124,10 +149,27 @@
 	blocknum=numero_block(&blk->jj[i]);
 	if(code) break;	// code vaut 1 pour vider une page de journal incomplete
-	ecritT(fenetre_journal,fin_f,"block_num= %d   code %d   ==>  %d %d %d %d %d %d %d %d \n",
-		blocknum,code,
-		blk->jj[i].mot[0],blk->jj[i].mot[1],blk->jj[i].mot[2],blk->jj[i].mot[3],
-		blk->jj[i].mot[0],blk->jj[4].mot[5],blk->jj[i].mot[6],blk->jj[i].mot[7]);
-	}
-}
+	mothexa[0]=blk->jj[i].mot[5];	/* 4 bit choix de commande   */
+	mothexa[1]=blk->jj[i].mot[6]>>2;	/* les 4 bits poid fort du code direction */
+	mothexa[2]=((blk->jj[i].mot[6]<<2)&0xc)  + ((blk->jj[i].mot[7]>>6)&0x3);
+	mothexa[3]=(blk->jj[i].mot[7]>>2)&0xf;  
+	mothexa[4]=(blk->jj[i].mot[7]&0x3);
+
+	if(blk->jj[i].mot[0])	
+		{
+		ecritT(fenetre_journal,fin_f,"block_num= %d   code %d   ==>  telecommande_OK : %d %d %d  ->  %x %x %x %x %x \n",
+		blocknum,code,blk->jj[4].mot[5],blk->jj[i].mot[6],blk->jj[i].mot[7]
+			,mothexa[0],mothexa[1],mothexa[2],mothexa[3],mothexa[4]);
+		}
+	else
+		{
+		ecritT(fenetre_journal,fin_f,"block_num= %d   code %d   ==>  erreur telecommande : %d %d %d  ->  %x %x %x %x %x \n",
+		blocknum,code,blk->jj[4].mot[5],blk->jj[i].mot[6],blk->jj[i].mot[7]
+			,mothexa[0],mothexa[1],mothexa[2],mothexa[3],mothexa[4]);
+		}
+	}
+}
+
+
+
 
 //-----------------------------------------------------------------------------------------	
@@ -176,4 +218,47 @@
 		if(c1==13) i=80;
 		}
+	}
+}
+
+
+
+
+
+void	traite_block_gyro_comprime(block_type_gyro_comprime* blk)
+{
+int i;
+block_type_gyro  bk_gyro;
+block_type_gyro* blk2=& bk_gyro;
+if(!fenetre(fenetre_gyroscope)) return;
+//printf("***************   decompress data gyro \n");
+for(i=0;i<3;i++)	decompress_7_2((long *)blk->gyro[i],blk2->gyro[i],nb_per_block*2);
+blk2->code1=blk->code1;
+blk2->code2=blk->code2;
+traite_block_gyro(blk2);
+}
+
+
+void	traite_block_gyro(block_type_gyro* blk)
+{
+int k;
+double	y[15];
+
+int temps_cntl;
+double secondes;
+blk_gyro2 = *blk;
+
+if(!fenetre(fenetre_gyroscope)) return;
+
+for(k=0;k<72;k++)
+	{
+	y[0]=20.*(blk->gyro[0][k]-32768)/32768.;
+	y[1]=20.*(blk->gyro[1][k]-32768)/32768.;
+	y[2]=20.*(blk->gyro[2][k]-32768)/32768.;
+		
+//	printf(" y = %g %g %g %g %g \n",y[0],y[1],y[2],y[3],y[4]);
+	temps_cntl =numero_block(blk)*nb_per_block*2+k;
+	secondes=gg->periode_echantillonage*(double)temps_cntl-gg->temps_origine;
+	tracen(fenetre_gyroscope,3,secondes,y);
+//	printf("secondes=%g\n",secondes);
 	}
 }
@@ -306,4 +391,11 @@
 		gg->don.don_bolo[j]=0.5*(ancien_don_bolo[j]+s*(((val_DS(j,i)-aa)<<1)/nb_coups));		// copy bolos
 		ancien_don_bolo[j]=s*(((val_DS(j,i)-aa)<<1)/nb_coups);
+//		if( (i==1) && (j==14) ) 
+//			{
+//			def_gains
+//			printf(" brut=%d  ofset=%d  nbcoups=%d gg->don.don_bolo[j]=%d  parametr.bolo[j].bolo_gain=%d  gainampli=%g  micro-volts=%g \n"
+//				, val_DS(j,i)   ,aa     ,nb_coups    ,(int)gg->don.don_bolo[j]  ,parametr.bolo[j].bolo_gain   ,gain_ampli(gg->reglage.bolo[j])  ,(double)xbolbrut(j));
+//			}
+//
 		}
 
@@ -313,4 +405,9 @@
 		}
 	
+	gg->don.gyro[0]=20.*(blk_gyro2.gyro[0][i]-32768)/32768.;
+	gg->don.gyro[1]=20.*(blk_gyro2.gyro[1][i]-32768)/32768.;
+	gg->don.gyro[2]=20.*(blk_gyro2.gyro[2][i]-32768)/32768.;
+		
+
 	
 //	gg->don.sync[j]=synchro_DS(j,i);	
Index: /trunk/Poubelle/archediab.old/archediab.sources/c/acquisition_general.c
===================================================================
--- /trunk/Poubelle/archediab.old/archediab.sources/c/acquisition_general.c	(revision 648)
+++ /trunk/Poubelle/archediab.old/archediab.sources/c/acquisition_general.c	(revision 649)
@@ -14,4 +14,5 @@
 #include "compress.h"
 #include "controle.h"
+#include "simulmission.h"
 
 
@@ -41,4 +42,5 @@
 static int count_moy_err=0;
 int err;
+static bilan_err=0;		
 
 if	(item!=tache_de_fond)		return;
@@ -56,25 +58,39 @@
 */
 
-if( count-- < 0 ) 
+//if( count-- < 0 ) 
 		{
 		count=3; 
-		ecritD(fenetre_controle,con_retard1,"%d",tt->nb_lec_fofo_ext);
-		tt->nb_lec_fofo_ext=0;
+		ecritD(fenetre_controle,con_fifo,tt->val_con_fifo/2);
+		tt->val_con_fifo=0;
 		}
 
 
 err=test_erreur();  //______________   test des erreurs   _______________________________
+
+if(err)	bilan_err+=10*err;
+
+// Pour la simulation, rempli les buffers avec les donnees simulees
+
+if (tt->PCI_actif==3) SimulMissionReadLoop();
 
 
 //_____________________   lit la table télémesure  ______________________________________
   					
-
+if(bilan_err>100)	bilan_err=100;
+if(bilan_err>50)	bilan_err-=20;
+if(bilan_err>10)	bilan_err-=5;
+if(bilan_err>0)		bilan_err--;
+if(bilan_err)	ecritD(fenetre_controle,con_erreur,20+bilan_err*10);
+else		ecritD(fenetre_controle,con_erreur,0);
 
 q=(longueur_table_tm+tt->tm.pos_ecrit-tt->tm.pos_lit)%longueur_table_tm;
+
+ecritD(fenetre_controle,con_pile,(1000*((longueur_table_tm+tt->tm.pos_ecrit-tt->tm.pos_lit)%longueur_table_tm))/longueur_table_tm);
+ecritD(fenetre_controle,con_donnee,tt->val_con_donnee);
 
 while(q)
 	{
-	ecritD(fenetre_controle,con_retard2,"%d",(longueur_table_tm+tt->tm.pos_ecrit-tt->tm.pos_lit)%longueur_table_tm);
-
+	ecritD(fenetre_controle,con_pile,(1000*((longueur_table_tm+tt->tm.pos_ecrit-tt->tm.pos_lit)%longueur_table_tm))/longueur_table_tm);
+//	printf(" pile = %d  \n",(1000*((longueur_table_tm+tt->tm.pos_ecrit-tt->tm.pos_lit)%longueur_table_tm))/longueur_table_tm);
 //*****************************************************************************************
 //											***
@@ -109,5 +125,5 @@
 	{
 	case ouverture	:	gg->flag_tc_reduite=litD(fen,e_tc_reduite,0);
-				if(tt->PCI_actif==1) reset_carte;
+				if(acquisition_PCI) reset_carte;
 	   			ecritD(fen,e_tache_inter,0);   	// arreter les interruptions
     				reset_epld();
@@ -161,7 +177,10 @@
     				break;
 
-	case e_vanne	: 	{
-				long ll=(long)(&(gg->reglage.dilu.vanne))-(long)(&(gg->reglage.dilu));
+	case e_vanne	: 	
+					{
+					long ll=(long)(&(gg->reglage.dilu.vanne))-(long)(&(gg->reglage.dilu));
     				int a=(int) valeur;	
+    				if(a==vanne_ouvre)	
+    					if(alerte(2,"voulez-vous vraiment ouvrir la vanne ??")!=1) break;
     				emission_tc_reduite(tc2_auto_dilu,ll,a);
     				}
@@ -189,5 +208,5 @@
 	case e_tache_inter :	calfreq(0);	//  command ou arrete le flag epld sortie data
 				if(TTm)		stoptimer(TTm);
-    				if(tt->PCI_actif==1) reset_carte;
+    				if(acquisition_PCI) reset_carte;
     				tt->vi.a=0;
     				if(valeur) 
Index: /trunk/Poubelle/archediab.old/archediab.sources/c/bit_block.c
===================================================================
--- /trunk/Poubelle/archediab.old/archediab.sources/c/bit_block.c	(revision 648)
+++ /trunk/Poubelle/archediab.old/archediab.sources/c/bit_block.c	(revision 649)
@@ -18,5 +18,5 @@
  
 
-#define	cadence_taux	16
+#define	cadence_taux	16	// cadence de filtrage du taux d'occupation de telemetrie
 #define mode_acquisition	0x00	//0xff en mode inverse, 0x00 en mode normal
 unsigned long	buffer;
@@ -137,5 +137,5 @@
 							//Calcul du taux de remplissage
 							taux=taux+(((0xffff-taux)*Nplein)>>cadence_taux);
-							tt->nb_lec_fofo_ext=((taux*1000)>>cadence_taux);
+							tt->val_con_donnee=((taux*1000)>>cadence_taux);
 							return(lit_bit_un_block);
 										
@@ -169,5 +169,5 @@
 				compteur=0;
 				taux=taux-((taux*Nvide)>>cadence_taux);
-				tt->nb_lec_fofo_ext=((taux*1000)>>cadence_taux);
+				tt->val_con_donnee=((taux*1000)>>cadence_taux);
 			}	
 			if(buffer==debut_block_mesure)
Index: /trunk/Poubelle/archediab.old/archediab.sources/c/bolo.c
===================================================================
--- /trunk/Poubelle/archediab.old/archediab.sources/c/bolo.c	(revision 648)
+++ /trunk/Poubelle/archediab.old/archediab.sources/c/bolo.c	(revision 649)
@@ -22,7 +22,5 @@
 int a,c,i;
 int n=gg->reglage.horloge.nb_mesures;
-//if(fen > 5 ) return;
 if(item>1000) item-=1000;		// pour appeler le case pour tous les cara d'un edit texte
-//controlemanip(0);
 //printf("execbolo avec fen=%d , item=%d \n",fen,item);
 switch(item)
@@ -78,5 +76,52 @@
 
 				break;
-
+//  avec fenetre de dialogue pour envoyer une valeur directe
+	case b_carre 	:	ouvreD(fen_change_bolo,change_bolo_id,"chgbolo",0);
+				if(1==modal(fen_change_bolo))
+						{
+						valeur=litD(fen_change_bolo,chb_val,0);	
+						printf("  val=%d  %n",(int)valeur);
+						ecritD(fen,b_carre,(int)valeur);
+						ecritgain(fen);	
+						}	
+				ferme(fen_change_bolo);
+				break;
+
+	case b_tri 	:	ouvreD(fen_change_bolo,change_bolo_id,"chgbolo",0);
+				if(1==modal(fen_change_bolo))
+						{
+						valeur=litD(fen_change_bolo,chb_val,0);	
+						printf("  val=%d  %n",(int)valeur);
+						ecritD(fen,b_tri,(int)valeur);
+						ecritgain(fen);	
+						}	
+				ferme(fen_change_bolo);
+				break;
+
+	case b_trans 	:	ouvreD(fen_change_bolo,change_bolo_id,"chgbolo",0);
+				if(1==modal(fen_change_bolo))
+						{
+						valeur=litD(fen_change_bolo,chb_val,0);	
+						printf("  val=%d  %n",(int)valeur);
+						ecritD(fen,b_trans,(int)valeur);
+						ecritgain(fen);	
+						}	
+				ferme(fen_change_bolo);
+				break;
+
+	case b_lin 	:	ouvreD(fen_change_bolo,change_bolo_id,"chgbolo",0);
+				if(1==modal(fen_change_bolo))
+						{
+						valeur=litD(fen_change_bolo,chb_val,0);	
+						printf("  val=%d  %n",(int)valeur);
+						ecritD(fen,b_lin,(int)valeur);
+						ecritgain(fen);	
+						}	
+				ferme(fen_change_bolo);
+				break;
+	
+
+
+/*
 //  reecrit les valeurs dans la fenetre pour appel par un autre programme						
 	case b_carre 	:	ecritD(fen,b_carre,(int)valeur);		ecritgain(fen);		break;
@@ -84,4 +129,6 @@
 	case b_trans 	:	ecritD(fen,b_trans,(int)valeur);		ecritgain(fen);		break;	
 	case b_lin 	:	ecritD(fen,b_lin,(int)valeur);			ecritgain(fen);		break;	
+
+*/
 	case b_gain 	:	vg[fen-1]=0;  ecritD(fen,b_gain,(int)valeur);	ecritgain(fen);		break;												
 	case b_phase 	:	ecritD(fen,b_phase,(int)valeur);		ecritgain(fen);		break;
Index: /trunk/Poubelle/archediab.old/archediab.sources/c/corel.c
===================================================================
--- /trunk/Poubelle/archediab.old/archediab.sources/c/corel.c	(revision 648)
+++ /trunk/Poubelle/archediab.old/archediab.sources/c/corel.c	(revision 649)
@@ -2,8 +2,8 @@
 #include "corel.h" 
 
-
+/*
 double coef_corel[nb_max_bolo][nb_max_bolo];
 int flag_corel[nb_max_bolo];
-
+*/
 
 
@@ -30,4 +30,6 @@
 	{
 	for(j=0;j<nb_max_bolo;j++)	gg->corel[j]=xbolbrut(j);
+	for(j=0;j<3;j++)		gg->corel[nb_max_bolo+j]=gg->don.gyro[j];
+	for(j=0;j<46;j++)		gg->corel[nb_max_bolo+3+j]=xbolbrut(j);
 	}
 	
Index: /trunk/Poubelle/archediab.old/archediab.sources/c/diabolo.c
===================================================================
--- /trunk/Poubelle/archediab.old/archediab.sources/c/diabolo.c	(revision 648)
+++ /trunk/Poubelle/archediab.old/archediab.sources/c/diabolo.c	(revision 649)
@@ -19,5 +19,8 @@
 #include "config_transputer.h" 
 #include "dilution.h" 
+#include "recons_sst.h" 
+#include "tm.h" 
 
+void InitSimulMission(void);
 
 stglob* gg;			// pointeur global  sur la structure 
@@ -44,9 +47,16 @@
 //flag=2;	// en mode simulation
 if(clavier(touche_alt) ) flag=2; else flag=1;		// en mode acquisition
+if(clavier(touche_controle) ) flag=4;				// avec emission des telecommandes au demarrage
+if(clavier(touche_alt) && clavier(touche_controle) ) {
+  flag=3;	 	// en mode simulateur de donnees mission
+  InitSimulMission();
+  }
 #endif
 
-//return(1);
+
 
 init_struct(flag);
+
+init_recons_sst();
 
 //printf(" long_entete 	  	= %ld \n",	sizeof(F_entete));
@@ -65,4 +75,5 @@
 
 nouveauM(0,diabolo_id,exec_menu_diabolo);
+nouveauSM(0,menu_trace_tout_id,exec_menu_trace_tout);
 
 ouvreD(fenetre_acquisition,acquisition_id,"acquisition",exec_acquisition);
@@ -85,4 +96,5 @@
 #endif
 
+initRS(port_A,baud1200+data8+stop10+noParity,0);	
 
 #ifdef lire_les_donnees_POM2
@@ -117,5 +129,5 @@
 
 
-if(flag==1)					//  mets en route les interruptions
+if( (flag==1) ou 	(flag==4) )				//  mets en route les interruptions
 	{
 	ecritD(fenetre_acquisition,e_tache_inter,1);
@@ -125,4 +137,8 @@
 select(fenetre_controle);
 select(fenetre_acquisition);
+
+// $CHECK$ on est toujours en mode 4 avec la derniere modif AB ???
+tt->PCI_actif=4;
+if (flag==3) tt->PCI_actif=3;
 
 return(option_texte+option_unclick);
@@ -154,5 +170,11 @@
 void exec_controle(int fen,int item,double valeur,...) 
 {
-if(item==caseferme)  {stop_exec(fen);}
+switch(item)
+    {
+    case caseferme	:  stop_exec(fen);break;
+    case con_reset_epld	:	reset_epld();	break;
+    case con_reset_trp	:	reset_trp();	break;
+    default	:	break;
+    }	
 }
 
Index: /trunk/Poubelle/archediab.old/archediab.sources/c/dilution.c
===================================================================
--- /trunk/Poubelle/archediab.old/archediab.sources/c/dilution.c	(revision 648)
+++ /trunk/Poubelle/archediab.old/archediab.sources/c/dilution.c	(revision 649)
@@ -55,5 +55,5 @@
 // la telecommande passe a travers le transputer sans etre traitee par lui
 //  elle arrive directement sur l'EPLD
-
+/*
 void  ecrit_bit_dilution(int valeur,int bit);
 
@@ -82,5 +82,5 @@
 emission_telecommande(tc_dir_transputer,mot_tc);
 }
-
+*/
 //   fonction ecrit un  des dac dilution
 //  c'est une telecommande normale 64 bit  a supprimer
@@ -120,5 +120,15 @@
 
 switch(item)
-    {
+	 {
+	 case dil_switch_helium :	emission_tc_reduite(tc2_dilution,(valeur==1),nbit_switch_helium);	break;
+   	 case dil_EVB :		emission_tc_reduite(tc2_dilution,(valeur==1),nbit_vanne_EVB);	break;
+   	 case dil_EVO :		emission_tc_reduite(tc2_dilution,(valeur==1),nbit_vanne_EVO);	break;
+    	case dil_EVF :		emission_tc_reduite(tc2_dilution,(valeur==1),nbit_vanne_EVF);	break;
+    	case dil_EVV :		emission_tc_reduite(tc2_dilution,(valeur==1),nbit_vanne_EVV);	break;
+    	case dil_sw_pp5 :		emission_tc_reduite(tc2_dilution,(valeur==1),nbit_switch_pile_par_5);	break;
+    	case dil_sw_pp15 :		emission_tc_reduite(tc2_dilution,(valeur==1),nbit_switch_pile_par_15);	break;
+
+  /*  
+    
     case dil_switch_helium :	ecrit_bit_dilution((int)valeur,switch_helium);	break;
     case dil_EVB :		ecrit_bit_dilution((int)valeur,vanne_EVB);	break;
@@ -128,5 +138,5 @@
     case dil_sw_pp5 :		ecrit_bit_dilution((int)valeur,switch_pile_par_5);	break;
     case dil_sw_pp15 :		ecrit_bit_dilution((int)valeur,switch_pile_par_15);	break;
-
+*/
 //  ----   commande directe d'un mot avec les 3 case de codage hexadecimales
 
@@ -137,5 +147,10 @@
 //  ----   telecommande du raz periodique des fets 
     case dil_raz_modul :
-    case dil_fet_raz :
+    case dil_fet_raz :	
+  		 i =0;
+ 		if(litD(fen,dil_fet_raz,0)==2)	i+=1;
+		if(litD(fen,dil_fet_raz,0)==3)	i+=7;
+     		emission_tc_reduite(tc2_raz_fet,0,i);
+/*
     		{
     		char mot_tc[10];
@@ -150,14 +165,14 @@
 		emission_telecommande(tc_dir_transputer,mot_tc);
 		}
-
+*/
                  break;
                  
-    case dil_ch1 :		ecrit_bit_dilution((int)valeur,chauffage1);	break;
-    case dil_ch2 :		ecrit_bit_dilution((int)valeur,chauffage2);	break;
-    case dil_ch3 :		ecrit_bit_dilution((int)valeur,chauffage3);	break;
-    case dil_ch4 :		ecrit_bit_dilution((int)valeur,chauffage4);	break;
-    case dil_ch5 :		ecrit_bit_dilution((int)valeur,chauffage5);	break;
-    case dil_ch6 :		ecrit_bit_dilution((int)valeur,chauffage6);	break;
-    case dil_ch7 :		ecrit_bit_dilution((int)valeur,chauffage7);	break;
+    case dil_ch1 :		emission_tc_reduite(tc2_dilution,(valeur==1),nbit_chauffage1);	break;
+    case dil_ch2 :		emission_tc_reduite(tc2_dilution,(valeur==1),nbit_chauffage2);	break;
+    case dil_ch3 :		emission_tc_reduite(tc2_dilution,(valeur==1),nbit_chauffage3);	break;
+    case dil_ch4 :		emission_tc_reduite(tc2_dilution,(valeur==1),nbit_chauffage4);	break;
+    case dil_ch5 :		emission_tc_reduite(tc2_dilution,(valeur==1),nbit_chauffage5);	break;
+    case dil_ch6 :		emission_tc_reduite(tc2_dilution,(valeur==1),nbit_chauffage6);	break;
+    case dil_ch7 :		emission_tc_reduite(tc2_dilution,(valeur==1),nbit_chauffage7);	break;
     
 //    case dil_dac_1 :
@@ -227,5 +242,7 @@
  // j=numero de bebo	T[k] = R[k+4] en Kelvin
 		if ((R[k]-c(j,6))>1.) 
-			{if((log(R[k]-c(j,6))-c(j,0))>0.001) llR= log(log(R[k]-c(j,6))-c(j,0)) ; else llR=0;} 
+			{if((log(R[k]-c(j,6))-c(j,0))>0.001) llR= log(log(R[k]-c(j,6))-c(j,0)) ; else llR=0; 
+//			printf("\nk=%d j=%d R=%g c2=%g c3=%g llR=%g",k,j,R[k],c(j,2),c(j,3),llR);
+			} 
 		else llR=0;
 		R[k+4]	= exp( 	c(j,1) + c(j,2)* llR + c(j,3)* llR* llR + c(j,4)* llR* llR* llR + c(j,5)* llR* llR* llR* llR) ; 
@@ -235,4 +252,6 @@
 	}
 
+gg->temperature_cryo=R[4];     // Charge la temperature_cryo (0.1K) pour les calculs futurs avec les bolos 
+/* La germanium doit toujours etre en premier par rapport aux autres thermos absolus */
 
 if(R[0]<90.)	ecritD(fenetre_dilution,dil_temp
@@ -298,21 +317,17 @@
 
 
-ecritD(fenetre_dilution,dil_temperatures,"temp-Haut =   %4.1f°   %4.1f°   %4.1f°   %4.1f° \rtemp-Bas  =   %4.1f°   %4.1f°   %4.1f°   %4.1f°  "
-	,val_temperature(blk->ADC_dil[ t_h1]),val_temperature(blk->ADC_dil[ t_h2]),val_temperature(blk->ADC_dil[ t_h3]),val_temperature(blk->ADC_dil[ t_h4])
-	,val_temperature(blk->ADC_dil[ t_b1]),val_temperature(blk->ADC_dil[ t_b2]),val_temperature(blk->ADC_dil[ t_b3]),val_temperature(blk->ADC_dil[ t_b4])	
+ecritD(fenetre_dilution,dil_temperatures,"temp-Haut =  %4.1f°  %4.1f° Base  =  %4.1f°  %4.1f° \r tube He: %4.1f° piles %4.1f° driver %4.1f°"
+	,val_temperature(blk->ADC_dil[ t_h2]),val_temperature(blk->ADC_dil[ t_h4])
+	,val_temperature(blk->ADC_dil[ t_b1]),val_temperature(blk->ADC_dil[ t_b2]),val_temperature(blk->ADC_dil[ t_b3])	
+	,val_temperature(blk->ADC_dil[ t_pile]),val_temperature(blk->ADC_dil[ t_a1])
 	);
 
-ecritD(fenetre_dilution,dil_t_h1,cnt_temperature(t_h1));
-ecritD(fenetre_dilution,dil_t_h2,cnt_temperature(t_h2));
-ecritD(fenetre_dilution,dil_t_h3,cnt_temperature(t_h3));
-ecritD(fenetre_dilution,dil_t_h4,cnt_temperature(t_h4));
-ecritD(fenetre_dilution,dil_t_a1,cnt_temperature(t_a1));
-ecritD(fenetre_dilution,dil_t_a2,cnt_temperature(t_a2));
-ecritD(fenetre_dilution,dil_t_a3,cnt_temperature(t_a3));
-ecritD(fenetre_dilution,dil_t_a4,cnt_temperature(t_a4));
-ecritD(fenetre_dilution,dil_t_b1,cnt_temperature(t_b1));
-ecritD(fenetre_dilution,dil_t_b2,cnt_temperature(t_b2));
-ecritD(fenetre_dilution,dil_t_b3,cnt_temperature(t_b3));
-ecritD(fenetre_dilution,dil_t_b4,cnt_temperature(t_b4));
+ecritD(fenetre_dilution,dil_t_h1,cnt_temperature(t_h2));
+ecritD(fenetre_dilution,dil_t_h2,cnt_temperature(t_h4));
+ecritD(fenetre_dilution,dil_t_h3,cnt_temperature(t_b1));
+ecritD(fenetre_dilution,dil_t_h4,cnt_temperature(t_b2));
+ecritD(fenetre_dilution,dil_t_a1,cnt_temperature(t_b3));
+ecritD(fenetre_dilution,dil_t_a2,cnt_temperature(t_pile));
+ecritD(fenetre_dilution,dil_t_a3,cnt_temperature(t_a1));
 
 
Index: /trunk/Poubelle/archediab.old/archediab.sources/c/gyroscope.c
===================================================================
--- /trunk/Poubelle/archediab.old/archediab.sources/c/gyroscope.c	(revision 648)
+++ /trunk/Poubelle/archediab.old/archediab.sources/c/gyroscope.c	(revision 649)
@@ -24,44 +24,2 @@
 
 
-
-
-
-void	traite_block_gyro_comprime(block_type_gyro_comprime* blk)
-{
-int i;
-block_type_gyro  bk_gyro;
-block_type_gyro* blk2=& bk_gyro;
-if(!fenetre(fenetre_gyroscope)) return;
-//printf("***************   decompress data gyro \n");
-for(i=0;i<3;i++)	decompress_7_2((long *)blk->gyro[i],blk2->gyro[i],nb_per_block*2);
-blk2->code1=blk->code1;
-blk2->code2=blk->code2;
-traite_block_gyro(blk2);
-}
-
-
-void	traite_block_gyro(block_type_gyro* blk)
-{
-int k;
-double	y[15];
-
-int temps_cntl;
-double secondes;
-
-if(!fenetre(fenetre_gyroscope)) return;
-
-for(k=0;k<72;k++)
-	{
-	y[0]=blk->gyro[0][k];
-	y[1]=blk->gyro[1][k];
-	y[2]=blk->gyro[2][k];
-		
-//	printf(" y = %g %g %g %g %g \n",y[0],y[1],y[2],y[3],y[4]);
-	temps_cntl =numero_block(blk)*nb_per_block*2+k;
-	secondes=gg->periode_echantillonage*(double)temps_cntl-gg->temps_origine;
-	tracen(fenetre_gyroscope,3,secondes,y);
-//	printf("secondes=%g\n",secondes);
-	}
-}
-
-
Index: /trunk/Poubelle/archediab.old/archediab.sources/c/menu.c
===================================================================
--- /trunk/Poubelle/archediab.old/archediab.sources/c/menu.c	(revision 648)
+++ /trunk/Poubelle/archediab.old/archediab.sources/c/menu.c	(revision 649)
@@ -18,4 +18,7 @@
 #include "dilution.h"
 #include "senseur_stellaire.h"
+#include "sstbrut.h"
+#include "FindPeri.h" 
+#include "phaseSST.h"
 #include "gyroscope.h"
 
@@ -24,4 +27,6 @@
 
 int j,ann;
+
+
 
 void exec_menu_diabolo(int fen,int item,double valeur,...)
@@ -70,9 +75,24 @@
 								break;
 
-	case	d_senseur_stellaire		:	if(fenetre(fenetre_senseur_stellaire)) select(fenetre_senseur_stellaire);
+	case	d_sst_brut		:	if(fenetre(fenetre_sstbrut)) select(fenetre_sstbrut);
+								else	ouvreD(fenetre_sstbrut,sstbrut_id,"senseur_stellaire",exec_sstbrut);
+								break;
+
+	case	d_senseur_stellaire	:	if(fenetre(fenetre_senseur_stellaire)) select(fenetre_senseur_stellaire);
 								else	ouvreD(fenetre_senseur_stellaire,senseur_stellaire_id,"senseur_stellaire",exec_senseur_stellaire);
-								if(fenetre(fenetre_gyroscope)) select(fenetre_gyroscope);
+								break;
+
+	case	d_recons_sst	:	if(fenetre(fenetre_Find_Period)) select(fenetre_Find_Period);
+								else	ouvreD(fenetre_Find_Period,FindPeri_id,"FindPeriod",exec_FindPeri);
+								if(fenetre(fenetre_Phase_SST)) select(fenetre_Phase_SST);
+								else	ouvreD(fenetre_Phase_SST,phase_id,"phase",exec_phase);
+								break;
+
+	case	d_gyros		:		if(fenetre(fenetre_gyroscope)) select(fenetre_gyroscope);
 								else	ouvreD(fenetre_gyroscope,0,"fenetre_gyroscope",exec_gyroscope);
 								break;
+	default					:	break;
+	}
+}
 
 /*
@@ -82,25 +102,17 @@
 */
 
-
-
-
-
-
-
-	case	d_trace_carte	:	ferme_annexe();
-								ann=1;
-								ouvreD(fenetre_annexe   ,carte_id   ,"carte",exec_carte);		
+void exec_menu_trace_tout  (int fen,int item,double valeur,...)
+{
+switch(item)
+	{
+case	d_trace_temperature	:	if(fenetre(fenetre_trace_tout_temperature)) select(fenetre_trace_tout_temperature);
+								else	ouvreD(fenetre_trace_tout_temperature ,trace_tout_id ,"trace temperature"       ,exec_trace_tout );
 								break;
-
-	case	d_pointage		:	ferme_annexe();
-								ann=2;
-								ouvreD(fenetre_annexe   ,pointage_id   ,"pointage",exec_pointage);		
+case	d_trace_bolos	:	if(fenetre(fenetre_trace_tout_bolos)) select(fenetre_trace_tout_bolos);
+								else	ouvreD(fenetre_trace_tout_bolos ,trace_tout_id ,"trace bolos"       ,exec_trace_tout );
 								break;
-
-	case	d_foyer			:	ferme_annexe();
-								ann=3;
-								ouvreD(fenetre_annexe   ,foyer_id   ,"foyer",exec_foyer);		
+case	d_trace_gyros	:	if(fenetre(fenetre_trace_tout_gyros)) select(fenetre_trace_tout_gyros);
+								else	ouvreD(fenetre_trace_tout_gyros ,trace_tout_id ,"trace gyros"       ,exec_trace_tout );
 								break;
-
 	default					:	break;
 	}
